Bug 123703 - Anaconda aborts installation after failure of a single package
Anaconda aborts installation after failure of a single package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 01:32 EDT by Surhud More
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 14:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Surhud More 2004-05-20 01:32:24 EDT
Description of problem:
If there is a problem with a package, anaconda exits and aborts the
installation process then and there. It should give a choice to the
user to ask the package to be ignored. It does not look good for the
system installation going almost till the end and thenyou have to
reinstall from scratch. My installation for FC2 failed at the third CD
while getting the package jed. I had downloaded packages from the
Calgary mirror. I had asked it to install everything. Then I chose the
packages I needed and got through with the installation later
installing additional packages.

Version-Release number of selected component (if applicable):
anaconda

How reproducible:
Always

Steps to Reproduce:
1. Get a package wrongly written on the cd somehow corrupted
2. Install fresh linux. And it stops at teh corrupted package and
aborts the process. Does not boot as grub not properly installed.
3.
  
Actual results:
It aborts without having installed the boot loader

Expected results:
Should ask whether to ignore the package or at least install the boot
loader so that something can be done. But better to ask to ignore like
one has in Suse's YaST

Additional info:
Comment 1 Surhud More 2004-05-29 19:21:23 EDT
The cds were media checked and no error reported too... Happened 
twice with me..

Surhud
Comment 2 Jeremy Katz 2004-06-08 14:38:52 EDT
Ignoring can lead to other problems, though, if the package which has
a problem is required for another or for something else used by the
installation.

Note You need to log in before you can comment on or make changes to this bug.